Package com.zfabrik.impl.svnaccess.svnkit

## Class ApplicationEditor

- java.lang.Object
- - com.zfabrik.impl.svnaccess.svnkit.ApplicationEditor

- All Implemented Interfaces:
    `org.tmatesoft.svn.core.io.ISVNDeltaConsumer`, `org.tmatesoft.svn.core.io.ISVNEditor`

      public class ApplicationEditor
      extends java.lang.Object
      implements org.tmatesoft.svn.core.io.ISVNEditor

  Application editor to simply export. Note, we keep track of properties, as they also provide the last commit date that we use to set the file time stamps (as we want accurate file timestamps)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationEditor​(java.io.File folder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortEdit()` |
    `void` | `absentDir​(java.lang.String dir)` |
    `void` | `absentFile​(java.lang.String file)` |
    `void` | `addDir​(java.lang.String path, java.lang.String arg1, long arg2)` |
    `void` | `addFile​(java.lang.String path, java.lang.String copyFromPath, long copyFromRevision)` |
    `void` | `applyTextDelta​(java.lang.String path, java.lang.String baseChecksum)` |
    `void` | `changeDirProperty​(java.lang.String name, org.tmatesoft.svn.core.SVNPropertyValue propVal)` |
    `void` | `changeFileProperty​(java.lang.String path, java.lang.String name, org.tmatesoft.svn.core.SVNPropertyValue value)` |
    `void` | `closeDir()` |
    `org.tmatesoft.svn.core.SVNCommitInfo` | `closeEdit()` |
    `void` | `closeFile​(java.lang.String path, java.lang.String md5)` |
    `void` | `deleteEntry​(java.lang.String path, long rev)` |
    `void` | `openDir​(java.lang.String path, long rev)` |
    `void` | `openFile​(java.lang.String path, long rev)` |
    `void` | `openRoot​(long rev)` |
    `void` | `targetRevision​(long rev)` |
    `java.io.OutputStream` | `textDeltaChunk​(java.lang.String path, org.tmatesoft.svn.core.io.diff.SVNDiffWindow diffWindow)` |
    `void` | `textDeltaEnd​(java.lang.String path)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationEditor

          public ApplicationEditor​(java.io.File folder)

  - ### Method Detail

    - #### abortEdit

          public void abortEdit()
                         throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `abortEdit` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### absentDir

          public void absentDir​(java.lang.String dir)
                         throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `absentDir` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### absentFile

          public void absentFile​(java.lang.String file)
                          throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `absentFile` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### addDir

          public void addDir​(java.lang.String path,
                             java.lang.String arg1,
                             long arg2)
                      throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `addDir` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### addFile

          public void addFile​(java.lang.String path,
                              java.lang.String copyFromPath,
                              long copyFromRevision)
                       throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `addFile` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### changeDirProperty

          public void changeDirProperty​(java.lang.String name,
                                        org.tmatesoft.svn.core.SVNPropertyValue propVal)
                                 throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `changeDirProperty` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### changeFileProperty

          public void changeFileProperty​(java.lang.String path,
                                         java.lang.String name,
                                         org.tmatesoft.svn.core.SVNPropertyValue value)
                                  throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `changeFileProperty` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### closeDir

          public void closeDir()
                        throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `closeDir` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### closeEdit

          public org.tmatesoft.svn.core.SVNCommitInfo closeEdit()
                                                         throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `closeEdit` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### closeFile

          public void closeFile​(java.lang.String path,
                                java.lang.String md5)
                         throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `closeFile` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### deleteEntry

          public void deleteEntry​(java.lang.String path,
                                  long rev)
                           throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `deleteEntry` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### openDir

          public void openDir​(java.lang.String path,
                              long rev)
                       throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `openDir` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### openFile

          public void openFile​(java.lang.String path,
                               long rev)
                        throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `openFile` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### openRoot

          public void openRoot​(long rev)
                        throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `openRoot` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### targetRevision

          public void targetRevision​(long rev)
                              throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `targetRevision` in interface `org.tmatesoft.svn.core.io.ISVNEditor`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### applyTextDelta

          public void applyTextDelta​(java.lang.String path,
                                     java.lang.String baseChecksum)
                              throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `applyTextDelta` in interface `org.tmatesoft.svn.core.io.ISVNDeltaConsumer`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### textDeltaChunk

          public java.io.OutputStream textDeltaChunk​(java.lang.String path,
                                                     org.tmatesoft.svn.core.io.diff.SVNDiffWindow diffWindow)
                                              throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `textDeltaChunk` in interface `org.tmatesoft.svn.core.io.ISVNDeltaConsumer`
      Throws:
        `org.tmatesoft.svn.core.SVNException`

    - #### textDeltaEnd

          public void textDeltaEnd​(java.lang.String path)
                            throws org.tmatesoft.svn.core.SVNException

      Specified by:
        `textDeltaEnd` in interface `org.tmatesoft.svn.core.io.ISVNDeltaConsumer`
      Throws:
        `org.tmatesoft.svn.core.SVNException`